Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Interface SyModule

All Superinterfaces:
  Cloneable, CopyFrom, Module, Serializable

All Known Implementing Classes:
  SyModuleImpl

    public interface SyModule

extends Module

Syndication ModuleImpl.

Author:
  Alejandro Abdelnur
See Also:
  Syndication module.

Field Summary
`static String` | `DAILY`
`static String` | `HOURLY`
`static String` | `MONTHLY`
`static String` | `URI` URI of the Syndication ModuleImpl (http://purl.org/rss/1.0/modules/syndication/).
`static String` | `WEEKLY`
`static String` | `YEARLY`

Method Summary
`Date` | `getUpdateBase()` Returns the Syndication module update base date.
`int` | `getUpdateFrequency()` Returns the Syndication module update frequency.
`String` | `getUpdatePeriod()` Returns the Syndication module update period.
`void` | `setUpdateBase(Date updateBase)` Sets the Syndication module update base date.
`void` | `setUpdateFrequency(int updateFrequency)` Sets the Syndication module update frequency.
`void` | `setUpdatePeriod(String updatePeriod)` Sets the Syndication module update period.

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone, getUri`

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Field Detail

### URI

    static final String URI

  URI of the Syndication ModuleImpl (http://purl.org/rss/1.0/modules/syndication/).

  See Also:
    Constant Field Values

### HOURLY

    static final String HOURLY

See Also:
  Constant Field Values

### DAILY

    static final String DAILY

See Also:
  Constant Field Values

### WEEKLY

    static final String WEEKLY

See Also:
  Constant Field Values

### MONTHLY

    static final String MONTHLY

See Also:
  Constant Field Values

### YEARLY

    static final String YEARLY

See Also:
  Constant Field Values

Method Detail

### getUpdatePeriod

    String getUpdatePeriod()

  Returns the Syndication module update period.

  Returns:
    the Syndication module update period, null if none.

### setUpdatePeriod

    void setUpdatePeriod(String updatePeriod)

  Sets the Syndication module update period.

  Parameters:
    `updatePeriod` - the Syndication module update period to set, null if none.

### getUpdateFrequency

    int getUpdateFrequency()

  Returns the Syndication module update frequency.

  Returns:
    the Syndication module update frequency, null if none.

### setUpdateFrequency

    void setUpdateFrequency(int updateFrequency)

  Sets the Syndication module update frequency.

  Parameters:
    `updateFrequency` - the Syndication module update frequency to set, null if none.

### getUpdateBase

    Date getUpdateBase()

  Returns the Syndication module update base date.

  Returns:
    the Syndication module update base date, null if none.

### setUpdateBase

    void setUpdateBase(Date updateBase)

  Sets the Syndication module update base date.

  Parameters:
    `updateBase` - the Syndication module update base date to set, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.